| ghc-6.10.4: The GHC API | Contents | Index

RegAllocColor

Description
Graph coloring register allocator. TODO: The colors in graphviz graphs for x86_64 and ppc could be nicer.
Synopsis

regAlloc :: DynFlags -> UniqFM (UniqSet Reg) -> UniqSet Int -> [LiveCmmTop] -> UniqSM ([NatCmmTop], [RegAllocStats])
regDotColor :: Reg -> SDoc

Documentation
regAlloc

:: DynFlags |
-> UniqFM (UniqSet Reg) | the registers we can use for allocation
-> UniqSet Int | the set of available spill slots.
-> [LiveCmmTop] | code annotated with liveness information.
-> UniqSM ([NatCmmTop], [RegAllocStats]) | code with registers allocated and stats for each stage of allocation
The top level of the graph coloring register allocator.

regDotColor :: Reg -> SDoc
Produced by Haddock version 2.4.2